import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

export function SelectPart() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件追溯_零件查询',
      param: '零件图号=' + arguments[0]
    }
  })
}
export function getTable(stepNumber, a, b, c, d, e, f, g, i, j, k, l, m) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_横向赋值新建存储过程',
      param: '项目流水号_check=' + stepNumber + '=string&项目流水号=' + a + '=string&机床流水号_check=' + b + '=string&机床流水号=' + c + '=string&组件流水号_check=' + d + '=string&组件流水号=' + e + '=string&零件图号_check=' + f + '=string&零件图号=' + g + '=string&是否查询全部数据=1=string&单件是否外协=' + i + '=string&考核状态=6=int&开始时间_check=' + j + '&开始时间=' + k + '&结束时间_check=' + l + '&结束时间=' + m
    }
  })
}
export function SelectProcessingProgress() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_加工进度查询_查询',
      param: '工艺计划流水号=' + arguments[0]
    }
  })
}
export function SelectPreparation() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '零件追溯_备料信息_查询数据',
      param: '工艺计划流水号=' + arguments[0]
    }
  })
}
export function SelectOut() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '零件追溯_外协信息_查询数据',
      param: '工艺计划流水号=' + arguments[0]
    }
  })
}
